Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039507
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo Localizations] Localization Mexicomajoralways2018-10-23 10:062019-04-17 09:37
Reporterjoniturralde93View Statuspublic 
Assigned Totegik_forge 
PriorityurgentResolutionopenFixed in Version
StatusresolvedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Regression introduced in release
Summary

0039507: Mexico Localization Pack not compatible with ORACLE

DescriptionIf the pack is installed in an environment running with oracle, errors are thrown when compiling.

[java] 956 [main] ERROR org.openbravo.data.Sqlc - SQL error in query: SELECT inv.dateInvoiced = (SELECT plan.duedate
[java] FROM FIN_Payment_Schedule plan
[java] WHERE plan.C_Invoice_ID= ?
[java] ORDER BY plan.duedate DESC LIMIT 1)
[java] FROM C_Invoice inv
[java] WHERE inv.C_Invoice_ID= ?


(Limit is not valid in Oracle)
Steps To Reproduce- Install Mexico Localization Pack
- Compile
- Error thrown
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040612 newtegik_forge DIOT and IVA reports part of Mexico Localization PR Pack should be compatible with Oracle. 

-  Notes
(0107516)
psanjuan (manager)
2018-10-23 11:45
edited on: 2018-10-23 11:46

Support Tegik 9245 - Tegik service Desk:

https://tegikjira.atlassian.net/servicedesk/customer/portal/2/SUPPORT-9245 [^]

(0107584)
psanjuan (manager)
2018-10-25 12:46

Tegik ask us for the best way to access to the enviroment. We put in contact partner and localizer.
(0107871)
psanjuan (manager)
2018-11-13 10:35

Resolved in version 0.0.4 of module "Template Accounting"

See:
http://centralrepository.openbravo.com/openbravo/org.openbravo.forge.ui/ForgeModuleDetail/Template-Accounting [^]
(0107872)
psanjuan (manager)
2018-11-13 10:36

Dated on Nov 12 Localizer informs us that:

"actualizado el modulo con este cambio, el modulo que estaba ocasionado conflicto era el com.tegik.calculations.accounting"

Saludos
(0108016)
psanjuan (manager)
2018-11-20 17:17

Hola Patricia,

Perdona la demora en probar esto pero es que Logalty tenía tras aquel intento su entorno de PRE down y no ha sido hasta hoy que lo han vuelto a levantar.

La mala noticia es que el módulo sigue dando error en otro fichero ahora (ProductActSQL.xsql. Comprobé antes de comenzar que se estaba instalando la versión indicada que solucionaba el bug).

El error concretamente nuevamente es debido al uso de sentencias SQLs válidas en Postgres y no en Oracle:

SELECT cac_is_contador(?); que puede ser válida en Postgres es inválida en Oracle sin un from dual detrás.

Tampoco compilan varios procedimientos almacenados como se puede ver en la imagen adjunta.

Te adjunto el log de compilación completo y suplico a los proveedores del pack que no liberen como solucionado el problema hasta tanto no lo hayan instalado en un entorno con Oracle completamente hasta que termine con instalación exitosa de manera que podamos estar seguros que el fallo (si se da) es por un caso de uso particular de Logalty y no por liberar una versión inestable y no compatible con Oracle.

Damos muy mala imagen como si estuvieras avanzando por prueba y error con un error diferente cada vez.

He pedido que vuelvan a restaurar el entorno y quedo a la espera de otra solución.

Muchas gracias de antemano por tu ayuda.

Saludos
(0108099)
psanjuan (manager)
2018-11-26 11:09

No tenemos experiencia con Oracle y la solucion que habia dado en el modulo ¿ quite el LIMIT que ocasionaba el error al compilar y consulto la respuesta por una funccion psql. Me gustaria que me pasaras un ami de amazon para nosotros montarlo en un ambiente nuestro e instalarlo.
(0108100)
psanjuan (manager)
2018-11-26 11:10

Buenos dias Cesar,
Analizamos internamente cómo poder ayudaros en este punto. Os decimos en breve.
Saludos,
Patricia.
(0108530)
psanjuan (manager)
2018-12-12 09:43

27/11/2018
Espero que me puedas pasar un AMI,
(0108531)
psanjuan (manager)
2018-12-12 09:43

27/11/2018
Hola Cesar,
estamos en ello. Me puedes pasar por correo tu clave pública para que puedas acceder a la máquina via ssh?
Gracias y saludos,
Patricia.
(0108532)
psanjuan (manager)
2018-12-12 09:43

28/11
Hola Cesar,
Te vamos a pasar un fichero de instalación de Oracle "oracle.tar" para que instaleis Oracle en una máquina vuestra con Linux. Creemos que esta opción es mejor. Debeis tener vuestras propia máquina de Oracle y asegurar que los módulos del pack profesional de localización son compatibles, se instalan, compilan y funcionan tanto en PG como en Oracle.
Uno de nuestros técnicos David Souto, estará disponible en vuestro horario para pasaros dicho fichero y apoyaros con la instalación.
Esperamos os pongais en contacto con nosotros hoy mismo. Por favor enviar un mail a David Souto (david.souto@openbravo.com) y ponerme en copia.
Saludos y gracias,
Patricia.
(0108533)
psanjuan (manager)
2018-12-12 09:44

28/11/2018
De David Souto
Here's the link to download tar file:
https://sftp.openbravo.com/oracle-tarball/oracle-121010-x86_64_NONCDB.txz [^]
Here's the how-to:
https://sftp.openbravo.com/oracle-tarball/How-to_Oracle12c.txt [^]
They only need to follow the how-to to install it (for ubuntu)
Some tips:
1. tar xvf oracle-121010-x86_64.txz -C /
They need to replace the name for the name of the .tar downloaded:
tar xvf oracle-121010-x86_64_NONCDB.txz -C /
2. Important - They need to edit /etc/hosts file. Replace the line that start with 127.0.0.1 for this: 127.0.0.1 myhost.mydomain myhost localhost.localdomain localhost
Where myhost is the hostname of the machine (they can see with the command "cat /etc/hostname"). For example, if the hostname is por0999 the line must look like this:
127.0.0.1 por0999.mydomain por0999 localhost.localdomain localhost
For any doubts or problems just contact me
Regards,
David
Por favor Cesar mantenerme informada de cómo va esto, de si teneis alguna duda o necesitais apoyo. El cliente esta esperando una solución desde hace días.
Gracias y saludos,
Patricia.
(0108534)
psanjuan (manager)
2018-12-12 09:44

28/11
Patricia, buen día.
Carlos Salinas por acá. Entiendo que el cliente está esperando solución a este tema, sin embargo, no nos ha sido sencillo operar bajo el esquema con el que cuentan. La resolución a los issues se agiliza mucho cuando tenemos un ambiente donde reproducir y corregir los problemas.
Instalar todo el ambiente nos tomará algo de tiempo. Por ello les pedía que si nos proporcionaban un ambiente o en su defecto un AMI de Amazon como los que tienen publicados con PostgreSQL. Con esto nosotros rapidamente podríamos tener ya un ambiente.
Si la única manera de avanzar es que nosotros montemos el ambiente manualmente, lo entendemos, pero definitivamente no es la manera más ágil para nosotros.
Quedo al pendiente de tus comentarios.
Saludos!
(0108535)
psanjuan (manager)
2018-12-12 09:44

28/11
Hola Carlos,
si, por favor, ir montando la máquina como os hemos indicado. Tenemos que soportar en nuestras localizaciones tanto PG como Oracle y entedemos que debemos empezar por ahí.
Por favor mantenednos informados y pedirnos ayuda si lo necesitais. A pesar de tener que montar el ambiente, deberíamos tener en cuenta que tenemos detrás un cliente con problemas en la instalación del pack en Oracle.
Esperamos vuestras noticias.
Saludos y gracias,
Patricia.
(0108536)
psanjuan (manager)
2018-12-12 09:45

30/11
Hola Carlos,
¿Cómo vais con esto? ¿Necesitais ayuda en algo?
Gracias y saludos,
Patricia.
(0108537)
psanjuan (manager)
2018-12-12 09:45

11/12
Hola Patricia
Las detalles no son muy claros. estoy revisando la documentacion y tiene copiar un archivo
cp oracle.init /etc/init.d/oracle
pero este archivo no existe dentro al archivo comprimido y no dice si tenga que instalar oracle en mi sistema operativo. ¿Me podrian ayudar a revisar si este archivo falto o necesito instalar oracle?
(0108538)
psanjuan (manager)
2018-12-12 09:45

12/12
Lo consulto con David Souto que fue quien os pasó las instrucciones para la instalación de Oracle, pero os pido por favor que contacteis con el directamente por correo, tal y cómo quedamos.
Os paso su correo david.souto@openbravo.com. Si contactais con él os puede ayudar sin problema.
Tenemos que ser más efectivos en nuestra comunicación. Este issue fue reportado el día 23 de Octubre y todavía no hemos podido dar una resolución.
(0108539)
psanjuan (manager)
2018-12-12 09:48

Contestación de David.
Buenas Patricia,
Ese fichero no tiene mayor importancia. Es el script para que arranque automáticamente oracle cuando lo ejecutas desde init.d/
Que lo omitan totalemente y lo levanten con las instrucciones del final (startup desde sqlplus)
Saludos!
Insisto, por favor contactad con él por email ante cualquier duda. David no tiene acceso a esta herramienta y no tiene información de las notas que poneis aquí.
Gracias,
Patricia.
(0108611)
psanjuan (manager)
2018-12-14 12:47

Hola Cesar,
Vuelvo por esta vía ya que entendemos teneís ya una máquina con Oracle instalado (según las indicaciones de David S.).
Sobre la pregunta concreta de Oracle de como llamar a una función debeís de utilizar
call nombre_function(params);
en lugar de
selct nombre_functon(params) from dual;

Desde nuestro equipo de soporte pueden daros asistentencia en temas de oracle relacionados con la aplicación.

Quedamos a la espera de vuestras noticias.
Saludos y gracias,
Patricia.
(0108660)
psanjuan (manager)
2018-12-18 10:10
edited on: 2018-12-18 10:11

14/12

Buenos dias

Estos son los errores que tengo al aplicar los cambios con CALL tanto el psql y oracle

***************************************************+
<SqlMethod name="isContado" type="preparedStatement" return="String">
    <Sql>
      CALL CAC_IS_CONTADOR(?)
    </Sql>
    <Parameter name="invoiceId"/>
  </SqlMethod>
**********************************************

POSTGRESQL
 [java] 1838 [main] ERROR org.openbravo.data.Sqlc - SQL error in query: CALL CAC_IS_CONTADOR(?)
     [java]
     [java] org.postgresql.util.PSQLException: ERROR: syntax error at or near "CALL"
     [java] Position: 7
     [java] at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2182)
     [java] at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1911)
     [java] at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:173)
     [java] at org.postgresql.jdbc.PgStatement.getMetaData(PgStatement.java:2647)
     [java] at org.openbravo.data.Sqlc.query(Sqlc.java:745)
     [java] at org.openbravo.data.Sqlc.endElement(Sqlc.java:563)
     [java] at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
     [java] at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
     [java] at org.openbravo.data.Sqlc.parseSqlFile(Sqlc.java:358)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:281)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:266)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:271)
     [java] at org.openbravo.data.Sqlc.main(Sqlc.java:208)


ORACLE
 [java] 885 [main] ERROR org.openbravo.data.Sqlc - Error in query.
     [java] java.lang.NullPointerException
     [java] at org.openbravo.data.Sqlc.query(Sqlc.java:747)
     [java] at org.openbravo.data.Sqlc.endElement(Sqlc.java:563)
     [java] at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
     [java] at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
     [java] at org.openbravo.data.Sqlc.parseSqlFile(Sqlc.java:358)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:281)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:266)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:271)
     [java] at org.openbravo.data.Sqlc.main(Sqlc.java:208)
     [java] 890 [main] ERROR org.openbravo.data.Sqlc - Error parsing xsql file
     [java] java.lang.NullPointerException
     [java] at org.openbravo.data.Sqlc.printFunctionSql(Sqlc.java:1458)
     [java] at org.openbravo.data.Sqlc.endElement(Sqlc.java:573)
     [java] at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
     [java] at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
     [java] at org.openbravo.data.Sqlc.parseSqlFile(Sqlc.java:358)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:281)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:260)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:266)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:271)
     [java] at org.openbravo.data.Sqlc.main(Sqlc.java:208)

(0108661)
psanjuan (manager)
2018-12-18 10:11

Hola Cesar,
me comentan que:
Lo mejor es que busqueis ejemplos en el código standard que hay muchos.
Tienen mal definido el método. Un ejemplo de una clase bien definida:
src/org/openbravo/erpCommon/utility/DocumentNo_data.xsql
<SqlMethod name="nextDocType" type="callableStatement" return="object" object="CSResponse">
Hay otars muchas clases. Que ejecuten esto para verlas:
find src -iname *.xsql -exec grep -ri -l CALL {} \;
Además podéis revisar la documentación de la wiki, si teneis dudas contactar con Soporte, a través de la herramienta de Soporte de Openbravo, para que ellos os den la respuesta oficial.
Aquí algunas páginas útiles.
http://wiki.openbravo.com/wiki/How_to_create_a_Stored_Procedure [^]
http://wiki.openbravo.com/wiki/PL-SQL_code_rules_to_write_Oracle_and_Postgresql_code [^]
(0108667)
psanjuan (manager)
2018-12-18 11:08

Read also the documentation 'google openbravo sqlc'

http://wiki.openbravo.com/wiki/ERP_2.50:Developers_Guide/Concepts/SQLC#PL_Function_calls [^]

Note:
While the page still in 2.50 scope, that is up to date documentation.

Some few more info for them

Why is that 'callableStatement' better here? As then the sqlc system takes care about the different syntax between oracle / postgres here and no need to have 2 versions in their code to do the same.
(0108747)
psanjuan (manager)
2018-12-26 15:56

Buenos dias Patricia
He subido el nueva version
http://centralrepository.openbravo.com/openbravo/org.openbravo.forge.ui/sso/ForgeModuleDetail/Template-Accounting [^]
Hice una prueba de instalacion en oracle y psql y funciono muy bien.
Saludos
(0108748)
psanjuan (manager)
2018-12-26 15:56

Hola Cesar,
¿Hiciste la prueba de instalar todo el pack de localización en Oracle y ver que funciona correctamente?
Por lo que veo en tu respuesta te refieres solo a un modulo "Template-Accounting", no? Debería poder instalarse todo el pack con todos sus módulos en Oracle y compilar y funcionar sin problema.
Por favor confirmarme que esto es así, a la mayor brevedad.
Saludos y gracias,
Patricia.
(0108752)
psanjuan (manager)
2018-12-26 16:29

Hola Patricia
He subido la version y probe instalacion y me compilo exitosamente. Todo el modulo de localizacion profesional no lo actualice ya que solo es un modulo con un minimo cambio y no requiere una fuerte actualizacion de todo el pack de localizacion, solo requiere una actualizacion de un modulo.
Saludos
(0108753)
psanjuan (manager)
2018-12-26 16:29

Hola Cesar,
perdona que insista pero
¿habéis comprobado a instalar todo el pack de localización en Oracle? Para esto os ayudamos a configurar una máquina en Oracle.
El cliente necesita instalar todo el pack de localización de Mexico en Oracle. Por favor confirmar que esto no es problema, que ya lo habeis probado y compila y funciona correctamente.
El cliente ya se quejo de que solucionado un error en un modulo, volvia a suceder lo mismo en otro módulo.
Saludos y gracias,
Patricia.
(0108754)
psanjuan (manager)
2018-12-26 16:47

Hola Patricia
Me puedes confirmar que modulo era, recuerda que tambien tenemos modulos que no son profesionales, por ejemplo factura electronica.
Saludos
(0108755)
psanjuan (manager)
2018-12-26 16:47

Hola Cesar,
Entiendo que todos vuestros módulos de localización estén o no en el pack, deben compilar y funcionar correctamente en Oracle.
Por favor, comprobad que esto es así y nos lo confirmais.
El cliente sigue esperando el poder instalar al menos el pack de localización en Oracle sin problemas.
Saludos y gracias.
Patricia.
(0109249)
psanjuan (manager)
2019-01-25 11:29

Pongo en contacto a SMF y Tegik.
Os pongo en contacto con nuestro localizador profesional en Mexico, Tegik, cuyo responable es Eduardo Williams.
Tal y como ya he informado a Vilma, Tegik está trabajando en una nueva versión del pack de localización profesional compatible técnicamente con Oracle.
Nuestra estimación es que dicha versión compatible con Oracle estará disponible en un par de semanas. Os mantendremos informados.

Con posterioridad nos centraremos en que la funcionalidad contenida en el pack, también sea compatible con Oracle.
Con el fin de priorizar esfuerzos, os adjuntamos un link que detalla el contenido de dicha localización.
Nos gustaría por favor compartierais con nosotros cuál es la funcionalidad que necesita vuestro cliente y para cuando.
(0110546)
psanjuan (manager)
2019-03-21 13:34

Aldo Garcia comentó:

Que tal Patricia, ya se pudo instalar correctamente el Pack Profesional de México tanto en Postgres como en Oracle, pero falta que probemos algunas cosas de funcionalidad en Oracle. Nos topamos un problema para crear Entidades en un servidor que nos ayudaron a levantar y ya les levanté un ticket de soporte para que nos apoyen con esto, el 0008868.

Una vez que podamos hacer un cliente de prueba y los datos maestros necesarios, podriamos probar algunas cosas ahí. O si tienen algún ambiente de Oracle que nos puedan facilitar para instalar el pack ahí y realizar algunas pruebas ahí y que ya tenga datos maestros también nos serviría. Quizás ya exista algún AMI creado en Amazon.

Teniendo más noticias de esto una vez resuelto te lo hago saber por aqui.
Saludos.
(0110547)
psanjuan (manager)
2019-03-21 13:34

Hola Aldo,
Gracias por la información.

Reviso el estado del ticket 8868. Tenemos que solucionar este tema a la mayor brevedad.

Saludos,
Patricia.
(0110615)
psanjuan (manager)
2019-03-25 09:40

Aldo Garcia comentó:

Que tal Patricia, de acuerdo, ya les hemos enviado el servidor para que nos apoyen con esto a la brevedad posible y poder concluir las pruebas de funcionalidad.

Quedamos a la espera.
Saludos.
(0110997)
psanjuan (manager)
2019-04-05 11:50

Aldo Garcia comentó:

Que tal, Openbravo nos apoyo para crear entidades de prueba para llevar acabo las últimas pruebas pero ahora existió un problema con la Golden Key, ya lo hemos escalado con ellos para que nos resuelvan y poder entrar al sistema porque no tenemos acceso.

Teniendo este tema resuelto realizaremos la ronda de pruebas en Oracle.
Saludos.
(0110998)
psanjuan (manager)
2019-04-05 11:51

Gracias Aldo.
Puedes pasarme por favor el ticket del problema de la golden key para darle seguimiento?
Saludos y gracias,
Patricia.
(0111048)
psanjuan (manager)
2019-04-09 16:05

el ticket es el # 8868.
(0111110)
psanjuan (manager)
2019-04-12 15:03

According to the localizer:

te comento que ya hemos realizado las pruebas y ajustes finales y quedó funcionando este tema de localización en Postgres completamente, y en Oracle todo lo acordado en esta fase ya funciona (excepto los reportes de IVA y DIOT).

He subido el paquete de Mexico Professional Localization Pack (4.8.0) en la forja y los paquetes individuales que este incluye que hemos actualizado también.

Así mismo el módulo de Electronic Invoice for Mexico lo he subido a una nueva versión (2.8.143), te comento de este porque no viene dentro del pack pero es parte de la localización y es el más importante porque considera el timbrado de facturas.
(0111111)
psanjuan (manager)
2019-04-12 15:07

being double check internally with the help of RM.
(0111175)
psanjuan (manager)
2019-04-17 09:36
edited on: 2019-04-17 09:37

Nos comunica nuestro localizador de México que han publicado una nueva versión del pack professional de México (4.8.0) en Openbravo Forge. en QAA. Los módulos que incluye este pack están también actualizados.

Así mismo el módulo de "Electronic Invoice for Mexico" se ha subido tambíen de versión (2.8.143 ), también en QAA.

Estos nuevos módulos deberían cubrir compilación y funcionamiento correcto en Oracle del pack de localización, excepto para los informes de impuestos DIOT y VAT, que siguen trabajando en ello. Ver issue relacionado 40612


- Issue History
Date Modified Username Field Change
2018-10-23 10:06 joniturralde93 New Issue
2018-10-23 10:06 joniturralde93 Assigned To => tegik_forge
2018-10-23 11:45 psanjuan Note Added: 0107516
2018-10-23 11:46 psanjuan Note Edited: 0107516 View Revisions
2018-10-25 12:46 psanjuan Note Added: 0107584
2018-11-13 10:34 psanjuan Status new => scheduled
2018-11-13 10:35 psanjuan Note Added: 0107871
2018-11-13 10:35 psanjuan Status scheduled => resolved
2018-11-13 10:36 psanjuan Note Added: 0107872
2018-11-20 17:17 psanjuan Note Added: 0108016
2018-11-20 17:17 psanjuan Status resolved => new
2018-11-26 11:09 psanjuan Note Added: 0108099
2018-11-26 11:10 psanjuan Note Added: 0108100
2018-12-12 09:43 psanjuan Note Added: 0108530
2018-12-12 09:43 psanjuan Note Added: 0108531
2018-12-12 09:43 psanjuan Note Added: 0108532
2018-12-12 09:44 psanjuan Note Added: 0108533
2018-12-12 09:44 psanjuan Note Added: 0108534
2018-12-12 09:44 psanjuan Note Added: 0108535
2018-12-12 09:45 psanjuan Note Added: 0108536
2018-12-12 09:45 psanjuan Note Added: 0108537
2018-12-12 09:45 psanjuan Note Added: 0108538
2018-12-12 09:48 psanjuan Note Added: 0108539
2018-12-14 12:47 psanjuan Note Added: 0108611
2018-12-18 10:10 psanjuan Note Added: 0108660
2018-12-18 10:11 psanjuan Note Added: 0108661
2018-12-18 10:11 psanjuan Note Edited: 0108660 View Revisions
2018-12-18 11:08 psanjuan Note Added: 0108667
2018-12-26 15:56 psanjuan Note Added: 0108747
2018-12-26 15:56 psanjuan Note Added: 0108748
2018-12-26 16:29 psanjuan Note Added: 0108752
2018-12-26 16:29 psanjuan Note Added: 0108753
2018-12-26 16:47 psanjuan Note Added: 0108754
2018-12-26 16:47 psanjuan Note Added: 0108755
2019-01-25 11:29 psanjuan Note Added: 0109249
2019-03-21 13:34 psanjuan Note Added: 0110546
2019-03-21 13:34 psanjuan Note Added: 0110547
2019-03-25 09:40 psanjuan Note Added: 0110615
2019-04-05 11:50 psanjuan Note Added: 0110997
2019-04-05 11:51 psanjuan Note Added: 0110998
2019-04-09 16:05 psanjuan Note Added: 0111048
2019-04-12 15:03 psanjuan Note Added: 0111110
2019-04-12 15:07 psanjuan Note Added: 0111111
2019-04-12 15:09 psanjuan Relationship added related to 0040612
2019-04-17 09:36 psanjuan Note Added: 0111175
2019-04-17 09:36 psanjuan Note Edited: 0111175 View Revisions
2019-04-17 09:37 psanjuan Note Edited: 0111175 View Revisions
2019-04-17 09:37 psanjuan Status new => scheduled
2019-04-17 09:37 psanjuan Status scheduled => resolved


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker